GCLI-STATUS(1)

NAME
gcli status - Work with TODO lists

SYNOPSIS
gcli status
gcli status -l [-n number-of-items]
gcli status -m id

DESCRIPTION
gcli status is used to work with TODO lists of forges.

When invoked without subcommand argumends, gcli will switch to interactive mode. This interactive mode lets you select TODO list items, operate on them by e.g. running actions or marking them as done. The actions are documented in the respective manual pages of the item types. If you, for example, select a TODO item that refers to an issue then you can invoke any action that is documented in gcli-issues(1) from within the prompt.

All other invocations are non-interactive.

OPTIONS

-n number-of-items
    Fetch at most number-of-items items and print them. If given a negative number, all notifications are fetched. The default is 30.

-l, --list
    List TODO list items non-interactively.

-m, --mark id
    Mark the TODO list item id as done. This will cause the item to not appear on the TODO list anymore.

EXAMPLES
Print a TODO list for my-account:

    $ gcli -a my-account status

Look through TODO list, select a merge request, view changes, approve it, merge and mark as done:

    $ gcli status
    NUMBER  REPO     TYPE          REASON
    1       foo/bar  Pull Request  mentioned
    Enter number, list or quit: 1
    Enter action, done or quit: status
       NUMBER : 381
        TITLE : Foo bar baz
         HEAD : author:bork
         BASE : target:master
      CREATED : 1970-Jan-1 00:00:00
       AUTHOR : author
        STATE : open
       MERGED : no
    MERGEABLE : yes
        DRAFT : no
    ASSIGNEES : someone
    REVIEWERS : none
    Enter action, done or quit: diff
    Enter action, done or quit: approve -y
    Enter action, done or quit: merge
    Enter action, done or quit: done
    Enter number, list or quit: l
    NUMBER  REPO  TYPE  REASON
    Enter number, list or quit: q

The diff is viewed in a pager.

SEE ALSO
gcli(1), gcli-issues(1), gcli-pulls(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.